/*
	Exemple d'envoi d'une requte de commande getStatus vers l'API Server.

	Exemple of a sending of a getStatus request to the API Server

*/

// Imports

import java.io.*;
import java.net.*;


public class GetStatus {

  public static void main(String args[])
  {
   /**** INDIQUER LE PORT UTILISE PAR LE SERVEUR D'API (7181 par dfaut) ***/
   /**** INDICATE THE API SERVER PORT USED (7181 by default) ***/
   int port = 7181;
   
   Socket sock;
   BufferedReader in;
   PrintWriter serverStream;
   String result = "";


   try {
	    // cration de la socket
        // creation of the socket
           sock = new Socket("*** INDICATE HERE THE API SERVER IP USED ***",port);

        //cration des flux d'entre et de sortie
        //creation of out and in flow
           in = new BufferedReader(new InputStreamReader(sock.getInputStream()));
           serverStream = new PrintWriter(sock.getOutputStream(), true);

	    // l'envoi du message
        // the sending of the message
        try {
            serverStream.println("<command component=\"status\" name=\"getStatus\"></command>\n");
            }catch (Exception e)
            {throw new Exception("the sending of the message failed");}

	    // la rception de la rponse
        // the receipt of the response
        try {
            result = in.readLine();
            }catch (Exception e)
            {throw new Exception("the receipt of the response failed");}
        
        
        System.out.println("response of the API Server:" + "(" +result+")\n");
                 
        // fermeture de la socket
        // socket close
        try {
            sock.close();
            }catch (Exception e)
            {throw new Exception("socket close failed");}

   }catch (Exception e)
   {System.out.println("Error: " + e.getMessage());}
  }
}
